# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PYTHON_COMPAT=( python2_7 python3_5 )

inherit cmake-utils python-r1

DESCRIPTION="A fresh and clean vendor neutral and platform independent SDR support library"
HOMEPAGE="https://github.com/pothosware/SoapySDR/wiki"
SRC_URI="https://github.com/pothosware/SoapySDR/archive/${P}.tar.gz"
S="${WORKDIR}/SoapySDR-${P}"

LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="python"


RESTRICT="test"

RDEPEND="python? ( dev-python/numpy[${PYTHON_USEDEP}] ${PYTHON_DEPS} )"
DEPEND="${RDEPEND}
	python? ( ${PYTHON_DEPS} )"
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

pkg_setup() {
	python_setup
}

src_prepare() {
	eapply_user
	cmake-utils_src_prepare
}

src_configure() {
	python_setup
    cmake-utils_src_configure
}
