# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

DESCRIPTION="Verilator is a fast Verilog HDL simulator that compiles
synthesizable Verilog into C++ or SystemC."
HOMEPAGE="http://www.veripool.org/wiki/verilator"
SRC_URI="http://www.veripool.org/ftp/${P}.tgz"

LICENSE="|| ( LGPL-3 Artistic-2 )"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
DEPEND="sys-devel/flex
	sys-devel/bison
	dev-lang/perl
	test? ( sys-devel/gdb )"
RDEPEND="dev-lang/perl"

src_configure() {
	econf
}

src_install() {
	emake DESTDIR="${D}" install
	dodoc Changes README TODO
	dohtml internals.html verilator.html
}

src_test() {
	emake -j1 test
}
